/*====================================================================================================================*
 * FILE:                      C E I X 3 0 _ T Y P E S . H 
 *====================================================================================================================*
 *
 *   COPYRIGHT 2016 - 2019 ABACO SYSTEMS, INC.  ALL RIGHTS RESERVED.
 *  
 *   THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED
 *   ONLY IN ACCORDANCE WITH THE TERMS OF SUCH LICENSE AND WITH THE INCLUSION
 *   OF THE ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER COPIES THEREOF
 *   MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY OTHER PERSON.
 *   NO TITLE TO AND OWNERSHIP OF THE SOFTWARE IS HEREBY TRANSFERRED.
 *  
 *   THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE
 *   AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY ABACO SYSTEMS, INC. 
 *
 *====================================================================================================================*
 *
 * FUNCTION:    This file contains platform-specific definitions of data types
 *              used in the CEI-x30 Application Programmer's Interface.
 *
 *--------------------------------------------------------------------------------------------------------------------*
 * HISTORY:
 *
 *   Date     By  Vers                        Comments
 * --------  ---  ----  -----------------------------------------------------
 * 10/18/16  BDW  4.90  Initial version.
 *
 *====================================================================================================================*/
#include "cei_types.h"
#ifdef TARGET_OPTIMAL_TYPES

typedef CEI_INT32   CDEV_API_RET_TYPE;       
typedef CEI_UINT32  CDEV_BOARD_TYPE;         
typedef CEI_UINT32  CDEV_CHAN_TYPE;          
typedef CEI_UINT32  CDEV_PARM_USI_TYPE;      
typedef CEI_UINT32  CDEV_PARM_SSI_TYPE;      
typedef CEI_UINT32 *CDEV_PARM_SSI_PTR_TYPE;  
typedef CEI_UINT32  CDEV_PARM_SI_TYPE;       
typedef CEI_UINT32 *CDEV_PARM_SI_PTR_TYPE;   
typedef CEI_UINT32 *CDEV_PARM_VOID_PTR_TYPE; 

#else

typedef CEI_INT16  CDEV_API_RET_TYPE;       
typedef CEI_INT16  CDEV_BOARD_TYPE;         
typedef CEI_INT16  CDEV_CHAN_TYPE;          
typedef CEI_UINT16 CDEV_PARM_USI_TYPE;      
typedef CEI_INT16  CDEV_PARM_SSI_TYPE;      
typedef CEI_INT16 *CDEV_PARM_SSI_PTR_TYPE;  
typedef CEI_INT32  CDEV_PARM_SI_TYPE;       
typedef CEI_INT32 *CDEV_PARM_SI_PTR_TYPE;   
typedef CEI_VOID  *CDEV_PARM_VOID_PTR_TYPE; 

#endif
