/* 

COPYRIGHT (C) 1998-2021 BY ABACO SYSTEMS, INC.  ALL RIGHTS RESERVED.

THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND
COPIED ONLY IN ACCORDANCE WITH THE TERMS OF SUCH LICENSE AND WITH
THE INCLUSION OF THE ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY
OTHER COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE
AVAILABLE TO ANY OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF THE
SOFTWARE IS HEREBY TRANSFERRED.

THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT
NOTICE AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY ABACO SYSTEMS.


modification history
--------------------
7 June 2004 	Created
15 Jan 2007     Modified for VxWorks 6.3 RTP Driver
25 Feb 2008     Unify KM and RTP options
10 Mar 2008     Create VxWorks 5.5 version
01 Jan 2010     Add new interrupt option
02 Sep 2016     Rebranded

DESCRIPTION

This file contains descriptions for the Abaco Systems PCI/PMC installation


*/

Folder FOLDER_AVIO_PPC {
       NAME        Abaco Systems Avionics Products for PowerPC Processors
       _CHILDREN   FOLDER_HARDWARE
       CHILDREN    INCLUDE_AVIO_PCI_INSTALL
       DEFAULTS    INCLUDE_AVIO_PCI_INSTALL
}

Component INCLUDE_AVIO_PCI_INSTALL {
        NAME          Abaco Systems Avionics Board Installation
        SYNOPSIS      Include this option to install Abaco Systems Avionics Boards
        HDR_FILES     lowlevel.h \
                      CondorVXWRTPDrv.h \
                      ./drv/pci/pciConfigLib.h
        CONFIGLETTES  CondorVxWRTPDrv.c
        REQUIRES      INCLUDE_PCI_PARAMS
        CFG_PARAMS    VXW_PCI_PPC \
                      VXW_PCI_INT_CON \
                      VXW_INT_LINE_CON \
					  IRQ_OFFSET \
                      SPIN_LOCK_PROTECT \
                      vxwdebug
        INIT_RTN      avioInitPCI(); 
        _INIT_ORDER   usrRoot
}

Parameter VXW_PCI_PPC {
        NAME          Define PCI Compile for PowerPC
        TYPE          exists
        DEFAULT       TRUE
        SYNOPSIS      This define is set when building the API for PowerPC SBCs.  
}

Parameter VXW_PCI_INT_CON {
        NAME          Set TRUE for pciIntConnect FALSE for intConnect. VXW_INT_LINE_CON must be FALSE
        TYPE          exists
        DEFAULT       FALSE
}

Parameter VXW_INT_LINE_CON {
        NAME          Set TRUE to use the int line as the interrupt vector. VXW_PCI_INT_CON must be FALSE
        TYPE          exists
        DEFAULT       FALSE
}

Parameter vxwdebug {
        NAME          Kernel debug print. Options: 0=print-off - 1=print-on
        TYPE          uint
        DEFAULT       0
        SYNOPSIS      Setting this option to 1 will provide debug prints during boot and initialization.  The default is zero (0).  Set this to one (1) if you need to debug the boot or initialization process.
}

Parameter IRQ_OFFSET {
        NAME          Option IRQ offset. Required by some BSPs. Default = 0
        TYPE          uint
        DEFAULT       0
        SYNOPSIS      Some BSPs require an offset added to the IRQ value set in the PCI Configuration register.  The default is zero (0).  If your BSP specifies an offset, set this parameter to that offset value.
}

Parameter SPIN_LOCK_PROTECT {
        NAME          For VxWorks 6.6. Adds Spinlocks for SMP processing
        TYPE          exists
        DEFAULT       FALSE
        SYNOPSIS      Use this when you are using SMP to place Spinlocks around critical sections of code.  Spin locks only apply to VxWorks 6.6 or higher running on multi-processor systems.
}
